/*
 * ThemeColors.java
 *
 * Copyright (C) 2009-17 by RStudio, Inc.
 *
 * Unless you have received this program directly from RStudio pursuant
 * to the terms of a commercial license agreement with RStudio, then
 * this program is licensed to you under the terms of version 3 of the
 * GNU Affero General Public License. This program is distributed WITHOUT
 * ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING THOSE OF NON-INFRINGEMENT,
 * MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Please refer to the
 * AGPL (http://www.gnu.org/licenses/agpl-3.0.txt) for more details.
 *
 */
package org.rstudio.core.client.theme;

public class ThemeColors
{
   public static String defaultBackground                          = "rgb(244, 248, 249)";
   public static String defaultBackgroundTransparent               = "rgba(244, 248, 249, 0)";
   public static String defaultInactiveBackground                  = "rgb(236, 237, 238)";
   public static String defaultMostInactiveBackground              = "rgb(231, 232, 234)";
   public static String defaultMostInactiveTransparentBackground   = "rgba(231, 232, 234, 0)";
   public static String defaultBorder                              = "rgb(214,218,220)";
   public static String defaultBodyBackground                      = "rgb(246, 247, 249)";

   public static String darkGreyBackground                         = "rgb(78, 92, 104)";
   public static String darkGreyBackgroundTransparent              = "rgba(78, 92, 104, 0)";
   public static String darkGreyInactiveBackground                 = "rgb(57, 67, 75)";
   public static String darkGreyMostInactiveBackground             = "rgb(47, 57, 65)";
   public static String darkGreyMostInactiveTransparentBackground  = "rgba(47, 57, 65, 0)";
   public static String darkGreyBorder                             = "rgb(12, 31, 48)";
   public static String darkGreyBodyBackground                     = "rgb(50, 76, 99)";

   public static String darkGreyMenuBackground                     = darkGreyMostInactiveBackground;
   public static String darkGreyMenuBorder                         = darkGreyBackground;
   public static String darkGreyMenuSelected                       = "rgba(255, 255, 255, 0.15)";

   public static String alternateBackground                        = "rgb(225, 239, 247)";
   public static String alternateBackgroundTransparent             = "rgba(225, 239, 247, 0)";
   public static String alternateInactiveBackground                = "rgb(209, 227, 236)";
   public static String alternateMostInactiveBackground            = "rgb(192, 213, 224)";
   public static String alternateMostInactiveTransparentBackground = "rgba(192, 213, 224, 0)";
   public static String alternateBorder                            = "rgb(181, 210, 226)";
   public static String alternateBodyBackground                    = "rgb(222, 243, 247);";

   public static String lightControlBackground                     = "#FFF";
   public static String lightControlBorder                         = "#d6dadc";

   public static String darkControlBackground                      = "rgb(108,121,131)";
   public static String darkControlBorder                          = "rgb(45,60,75)";

   public static String darkRowSelected                            = "rgba(255, 255, 255, 0.15)";
   public static String darkRowFocused                             = "rgba(255, 255, 255, 0.20)";
   public static String darkRowHovered                             = "rgba(255, 255, 255, 0.05)";
   public static String darkSearchResultBackground                 = "#6d787f";
}
